## org.apache.axis.attachments
Class ImageDataSource

    java.lang.Object
      |
      +--org.apache.axis.attachments.ImageDataSource

All Implemented Interfaces:
  javax.activation.DataSource

public class ImageDataSource
extends java.lang.Object
implements javax.activation.DataSource

Field Summary
`static java.lang.String` `CONTENT_TYPE`
`protected static org.apache.commons.logging.Log` `log`

Constructor Summary
`ImageDataSource(java.lang.String name, java.awt.Image data)`
`ImageDataSource(java.lang.String name, java.lang.String contentType, java.awt.Image data)`

Method Summary
`java.lang.String` `getContentType()`
`java.io.InputStream` `getInputStream()`
`java.lang.String` `getName()`
`java.io.OutputStream` `getOutputStream()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    protected static org.apache.commons.logging.Log log

### CONTENT_TYPE

    public static final java.lang.String CONTENT_TYPE

See Also:
  Constant Field Values

Constructor Detail

### ImageDataSource

    public ImageDataSource(java.lang.String name,
                           java.awt.Image data)

### ImageDataSource

    public ImageDataSource(java.lang.String name,
                           java.lang.String contentType,
                           java.awt.Image data)

Method Detail

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in interface `javax.activation.DataSource`

### getContentType

    public java.lang.String getContentType()

  Specified by:
    `getContentType` in interface `javax.activation.DataSource`

### getInputStream

    public java.io.InputStream getInputStream()
                                       throws java.io.IOException

  Specified by:
    `getInputStream` in interface `javax.activation.DataSource`
    `java.io.IOException`

### getOutputStream

    public java.io.OutputStream getOutputStream()
                                         throws java.io.IOException

  Specified by:
    `getOutputStream` in interface `javax.activation.DataSource`
    `java.io.IOException`

Copyright © 2003 Apache Web Services Project. All Rights Reserved.